# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "gsm-session"
version = "0.4.32"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Session store abstractions for Greentic messaging surfaces."
readme = false
license = "MIT"
resolver = "2"

[lib]
name = "gsm_session"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1"

[dependencies.greentic-session]
version = "0.4"
features = ["inmemory"]
default-features = false

[dependencies.greentic-types]
version = "0.4"
